//
//  MyAppUtil.h
//  CommonSdk
//
//  Created by Howard on 2021/11/10.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface MyAppUtil : NSObject
+ (UIColor *)colorWithHexString:(NSString *)hexStr;
+ (NSBundle *)getBundle;
+ (UIView *)viewFromXIB:(NSString *)name;
+ (double)getBattery;
+ (void)downImage:(NSString *)imageUrl finish:(void (^)(UIImage *))block;
+ (NSString *)getAppVersion;
+ (NSString *)getSysVersion;
+ (NSString *)getNetworkStatus;
+ (NSString *)getDeviceId;
@end

NS_ASSUME_NONNULL_END
