//
//  MyBaseTaskViewController.h
//  CommonSdk
//
//  Created by Howard on 2021/11/11.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface MyBaseTaskViewController : UIViewController
@property(copy,nonatomic) NSString *logFileName;
@property(assign,nonatomic) BOOL isShowNav;
@property (nonatomic, strong) UIActivityIndicatorView * activityIndicator;
/**
 定时任务
 */
- (void)startTimer:(NSTimeInterval)duration handler:(void(^)(NSTimeInterval time,BOOL finished))hander;
- (NSString *)formatTime:(NSTimeInterval)time;
- (void)speak:(NSString *)text;
- (void)playSound;
- (void)closePage;
- (void)uploadDataToServer:(NSString *)url param:(NSDictionary *)param finish:(void(^)(NSString *result,NSString *imageUrl,NSInteger code))success;

- (void)showLoading;
- (void)hideLoading;
@end

NS_ASSUME_NONNULL_END
