//
//  MyNavBar.h
//  CommonSdk
//
//  Created by Howard on 2021/11/11.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN
typedef void(^NavBarBlock)(NSInteger index);

@interface MyNavBar : UIView
@property (weak, nonatomic) IBOutlet UIButton *leftButton;
@property (weak, nonatomic) IBOutlet UIButton *rightButton;
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
+ (MyNavBar *)show:(UIView *)superView block:(NavBarBlock) block;
@end

NS_ASSUME_NONNULL_END
