Pod::Spec.new do |s|
  s.name             = 'LucaSdk'
  s.version          = '0.1.0'
  s.summary          = 'LucaSdk'
  s.description      = <<-DESC
                        It's an SDK for Luca.
                       DESC
  s.homepage         = 'https://git.lucahealthcare.cn/ios/lucasdk'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { '344185723@qq.com' => '344185723@qq.com' }
  s.source           = { :git => 'https://git.lucahealthcare.cn/ios/lucasdk'}
  s.pod_target_xcconfig = {
    'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64'
  }
  s.user_target_xcconfig = { 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
  s.ios.deployment_target = '9.0'
  s.subspec 'Tremor' do |cs|
#    cs.resources = "TremorSdk.framework/*.png",'TremorSdk.framework/*.nib',"CommonSdk.framework/*.png",'CommonSdk.framework/*.nib'
    cs.resources = 'CommonSdk.framework','TremorSdk.framework'
    cs.vendored_frameworks = 'CommonSdk.framework','TremorSdk.framework'
    cs.frameworks = 'Accelerate'
    cs.libraries = 'c++'
    cs.xcconfig = {
        'OTHER_LDFLAGS' => [
            '$(inherited)',
            '-framework CommonSdk',
            '-framework TremorSdk'
        ]
    }
  end
end
