//
//  MyRequestUtil.h
//  CommonSdk
//
//  Created by Howard on 2021/11/15.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface MyRequestUtil : NSObject
/**
 上传文件
 */
+ (void)upload:(NSString *)url fileName:(NSString *)fileName fileData:(NSData *)fileData mimeType:(NSString *)mimeType params:(NSDictionary *)params finished:(void (^)(NSInteger code,NSString * result)) finished;
+ (void)post:(NSString *)path header:(NSDictionary *)header param:(NSDictionary * __nullable)param finished:(void (^)(NSInteger code,NSString * result)) finished;
+ (void)request:(NSString *)path methodType:(NSString *)methodType param:(NSDictionary * __nullable)param  finished:(void (^)(NSInteger code,NSString * result)) finished;

+ (void)request:(NSString *)path methodType:(NSString *)methodType header:(NSDictionary * __nullable) header param:(NSDictionary * __nullable)param  finished:(void (^)(NSInteger code,NSString * result)) finished;
@end

NS_ASSUME_NONNULL_END
